diff --git a/src/common/string.c b/src/common/string.c
index a45e9b8858..3260d37a84 100644
--- a/src/common/string.c
+++ b/src/common/string.c
@@ -47,7 +47,7 @@ pg_str_endswith(const char *str, const char *end)
  * strtoint --- just like strtol, but returns int not long
  */
 int
-strtoint(const char *restrict str, char **restrict endptr, int base)
+strtoint(const char *pg_restrict str, char **pg_restrict endptr, int base)
 {
 	long		val;
 
diff --git a/src/include/common/string.h b/src/include/common/string.h
index 23e2e01f0e..63c3e81a64 100644
--- a/src/include/common/string.h
+++ b/src/include/common/string.h
@@ -11,6 +11,7 @@
 #define COMMON_STRING_H
 
 extern bool pg_str_endswith(const char *str, const char *end);
-extern int strtoint(const char *restrict str, char **restrict endptr, int base);
+extern int strtoint(const char *pg_restrict str, char **pg_restrict endptr,
+					int base);
 
 #endif							/* COMMON_STRING_H */
